<?php
/**
 * This file belongs to the YIT Plugin Framework.
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly


ob_start();

?>
	<b><?php esc_html_e( 'Callback URL', 'yith-woocommerce-share-for-discounts' ); ?>:</b> <i><?php echo YWSFD_URL; ?>templates/frontend/twitter-login.php</i><br>
	<small><i><?php esc_html_e( 'Copy this text string into the "Callback URL" field of your Twitter App', 'yith-woocommerce-share-for-discounts' ); ?></i></small>
<?php

$tw_callback_content = ob_get_clean();

ob_start();

?>
	<b><?php esc_html_e( 'Callback URL', 'yith-woocommerce-share-for-discounts' ); ?>:</b> <i><?php echo YWSFD_URL; ?>templates/frontend/linkedin-login.php</i><br>
	<small><i><?php esc_html_e( 'Copy this text string into the "Authorized Redirect URLs" field of your Linkedin App', 'yith-woocommerce-share-for-discounts' ); ?></i></small>
<?php

$lnk_callback_content = ob_get_clean();

$facebook_enable = '';
$facebook_appid  = '';
/* translators: %s link to facebook policy */
$facebook_string  = esc_html__(
	'Recently, Facebook has updated the Terms of the platform and is now considering the issuing of a coupon code in exchange of a sharing as a breach of their Terms (read here for more details: %s). Consequently, you might receive an email from Facebook regarding your Facebook app block. 
Moreover, as Facebook constantly applies changes to their API, the plugin might not work after one of these changes.
As long as we can, we will keep supporting the plugin, but please, consider what we have just stated above as a possibility.

If you want to use Facebook sharing however, please, refer to the plugin documentation.',
	'yith-woocommerce-share-for-discounts'
);
$facebook_message = sprintf(
	$facebook_string,
	'<a target="_blank" href="https://developers.facebook.com/docs/apps/examples-platform-policy-4.4">https://developers.facebook.com/docs/apps/examples-platform-policy-4.4</a>'
);

if ( get_option( 'ywsfd_appid_facebook' ) !== '' || apply_filters( 'ywsfd_enable_facebook_anyway', false ) ) {
	$facebook_enable = array(
		'name'      => esc_html__( 'Enable Facebook sharing', 'yith-woocommerce-share-for-discounts' ),
		'type'      => 'yith-field',
		'yith-type' => 'onoff',
		'desc'      => '',
		'id'        => 'ywsfd_enable_facebook',
		'default'   => 'no',
	);
	$facebook_appid  = array(
		'name'      => esc_html__( 'Facebook App ID', 'yith-woocommerce-share-for-discounts' ),
		'type'      => 'yith-field',
		'yith-type' => 'text',
		'desc'      => '',
		'id'        => 'ywsfd_appid_facebook',
		'default'   => '',
		'deps'      => array(
			'id'    => 'ywsfd_enable_facebook',
			'value' => 'yes',
			'type'  => 'disable',
		),
	);
	/* translators: %s link to facebook policy */

	$facebook_string  = esc_html__(
		'Recently, Facebook has updated the Terms of the platform and is now considering the issuing of a coupon code in exchange of a sharing as a breach of their Terms (read here for more details: %s). Consequently, you might receive an email from Facebook regarding your Facebook app block. 
Moreover, as Facebook constantly applies changes to their API, the plugin might not work after one of these changes, as it has already happened for the \'Like\' button.
As long as we can, we will keep supporting the plugin, but please, consider what we have just stated above as a possibility.',
		'yith-woocommerce-share-for-discounts'
	);
	$facebook_message = sprintf(
		$facebook_string,
		'<a target="_blank" href="https://developers.facebook.com/docs/apps/examples-platform-policy-4.4">https://developers.facebook.com/docs/apps/examples-platform-policy-4.4</a>'
	);

}

return array(

	'general' => array(
		'ywsfd_main_section_title'    => array(
			'name' => esc_html__( 'Share For Discounts settings', 'yith-woocommerce-share-for-discounts' ),
			'type' => 'title',
		),
		'ywsfd_enable_plugin'         => array(
			'name'      => esc_html__( 'Enable YITH WooCommerce Share For Discounts', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'onoff',
			'desc'      => '',
			'id'        => 'ywsfd_enable_plugin',
			'default'   => 'yes',
		),
		'ywsfd_main_section_end'      => array(
			'type' => 'sectionend',
		),
		'ywsfd_section_facebook'      => array(
			'name' => esc_html__( 'Facebook', 'yith-woocommerce-share-for-discounts' ),
			'type' => 'title',
			'desc' => $facebook_message,
			'id'   => 'ywsfd_section_facebook',
		),
		'ywsfd_enable_facebook'       => $facebook_enable,
		'ywsfd_appid_facebook'        => $facebook_appid,
		'ywsfd_section_end_facebook'  => array(
			'type' => 'sectionend',
		),
		'ywsfd_section_twitter'       => array(
			'name' => esc_html__( 'Twitter', 'yith-woocommerce-share-for-discounts' ),
			'type' => 'title',
		),
		'ywsfd_enable_twitter'        => array(
			'name'      => esc_html__( 'Enable Twitter sharing', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'onoff',
			'id'        => 'ywsfd_enable_twitter',
			'default'   => 'no',
		),
		'ywsfd_user_twitter'          => array(
			'name'      => esc_html__( 'Twitter username', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'text',
			'desc'      => esc_html__( 'Set this option if you want to include "via @YourUsername" to your tweets', 'yith-woocommerce-share-for-discounts' ),
			'id'        => 'ywsfd_user_twitter',
			'default'   => '',
			'deps'      => array(
				'id'    => 'ywsfd_enable_twitter',
				'value' => 'yes',
				'type'  => 'disable',
			),
		),
		'ywsfd_twitter_app_id'        => array(
			'name'      => esc_html__( 'Twitter Consumer Key (API Key)', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'text',
			'id'        => 'ywsfd_twitter_app_id',
			'default'   => '',
			'deps'      => array(
				'id'    => 'ywsfd_enable_twitter',
				'value' => 'yes',
				'type'  => 'disable',
			),
		),
		'ywsfd_twitter_app_secret'    => array(
			'name'      => esc_html__( 'Twitter Consumer Secret (API Secret)', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'text',
			'id'        => 'ywsfd_twitter_app_secret',
			'default'   => '',
			'deps'      => array(
				'id'    => 'ywsfd_enable_twitter',
				'value' => 'yes',
				'type'  => 'disable',
			),
		),
		'ywsfd_twitter_callback_url'  => array(
			'name'      => esc_html__( 'Callback URL', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'html',
			'html'      => $tw_callback_content,
		),
		'ywsfd_section_end_twitter'   => array(
			'type' => 'sectionend',
		),
		'ywsfd_section_linkedin'      => array(
			'name' => esc_html__( 'Linkedin', 'yith-woocommerce-share-for-discounts' ),
			'type' => 'title',
		),
		'ywsfd_enable_linkedin'       => array(
			'name'      => esc_html__( 'Enable Linkedin sharing', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'onoff',
			'id'        => 'ywsfd_enable_linkedin',
			'default'   => 'no',
		),
		'ywsfd_linkedin_app_id'       => array(
			'name'      => esc_html__( 'Linkedin Client ID', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'text',
			'id'        => 'ywsfd_linkedin_app_id',
			'default'   => '',
			'deps'      => array(
				'id'    => 'ywsfd_enable_linkedin',
				'value' => 'yes',
				'type'  => 'disable',
			),
		),
		'ywsfd_linkedin_app_secret'   => array(
			'name'      => esc_html__( 'Linkedin Client Secret', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'text',
			'id'        => 'ywsfd_linkedin_app_secret',
			'default'   => '',
			'deps'      => array(
				'id'    => 'ywsfd_enable_linkedin',
				'value' => 'yes',
				'type'  => 'disable',
			),
		),
		'ywsfd_linkedin_callback_url' => array(
			'name'      => esc_html__( 'Callback URL', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'html',
			'html'      => $lnk_callback_content,
		),
		'ywsfd_section_end_linkedin'  => array(
			'type' => 'sectionend',
		),
		'ywsfd_section_email'         => array(
			'name' => esc_html__( 'Email to a friend', 'yith-woocommerce-share-for-discounts' ),
			'type' => 'title',
		),
		'ywsfd_enable_email'          => array(
			'name'      => esc_html__( 'Enable email sharing', 'yith-woocommerce-share-for-discounts' ),
			'type'      => 'yith-field',
			'yith-type' => 'onoff',
			'desc'      => '',
			'id'        => 'ywsfd_enable_email',
			'default'   => 'no',
		),
		'ywsfd_section_end_email'     => array(
			'type' => 'sectionend',
		),
	),
);
